subroutine gen_M()
use work
! Genereaza matricea de masa M(ngl, ngl)
implicit real(8) (a-h, o-z)

! ngl =3

m(1,:) =(/ 2_8, 1_8, 0_8 /)
m(2,:) =(/ 1_8, 3_8 ,1_8 /)
m(3,:) =(/ 0_8, 1_8 ,2_8 /)

END subroutine gen_M
